summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJeroen Roovers <jer@gentoo.org>2017-04-15 15:00:41 +0200
committerJeroen Roovers <jer@gentoo.org>2017-04-15 15:00:41 +0200
commit3fc00f135e66dc82d84bf4b03da12846a934016e (patch)
tree06ba70a828dfb6e170a5d3b271517424044e45fa /media-gfx/farbfeld
parentx11-misc/xlockmore: Stable for HPPA too. (diff)
downloadgentoo-3fc00f135e66dc82d84bf4b03da12846a934016e.tar.gz
gentoo-3fc00f135e66dc82d84bf4b03da12846a934016e.tar.bz2
gentoo-3fc00f135e66dc82d84bf4b03da12846a934016e.zip
media-gfx/farbfeld: Version bump.
Package-Manager: Portage-2.3.5, Repoman-2.3.2
Diffstat (limited to 'media-gfx/farbfeld')
-rw-r--r--media-gfx/farbfeld/Manifest1
-rw-r--r--media-gfx/farbfeld/farbfeld-3.ebuild48
-rw-r--r--media-gfx/farbfeld/farbfeld-9999.ebuild21
-rw-r--r--media-gfx/farbfeld/files/farbfeld-3-as-needed.patch11
4 files changed, 72 insertions, 9 deletions
diff --git a/media-gfx/farbfeld/Manifest b/media-gfx/farbfeld/Manifest
index fe8dd7099ce..1e731e5d635 100644
--- a/media-gfx/farbfeld/Manifest
+++ b/media-gfx/farbfeld/Manifest
@@ -1,2 +1,3 @@
DIST farbfeld-1.tar.gz 6770 SHA256 34faf878ee9bf20a690604b2e09f97ce517b20bb7b5e37433997941825c0b46e SHA512 cbd977175412ad7b143415643a3767b041e87d441f3bf9783872ffb48ed987f60156d6e2d7eff715071eb0349a3a131188487a1c9645dffa78966f0102b8405e WHIRLPOOL 6a6a489fcffda4b7c337097d51b181f7533a97a948af0c781cb035dba05b2b3ad892a1cde6f0dab05d3db893ddddfbf5666621144f4b8ed7e4a6981df3821343
DIST farbfeld-2.tar.gz 6646 SHA256 a366e7628274fb9b4dc9508a7340a32b5e7557d99895b7ed7b5165241d613f58 SHA512 04471f0d6092433083b1441c17fb80db27fcedea6a12ddab3b08eaf9731da06f48560cf49124b56e1e27d7de2b69109b0ce38513ee90c735ac966dc2132e000f WHIRLPOOL 3d125bac271db2e8ab6411abc1c809cb2de4c6401a4c978f6a34fad97387136225b8d93dae5f89aa2bc303f4e8498350193f74a7f156b9bd65ec8dcac05a2341
+DIST farbfeld-3.tar.gz 10169 SHA256 5b953b86a72d3feaedf62698532c8888e5f6e2f6363193a4cc8cee0e38c378ad SHA512 4f1e44282810bd2724f78857bcde401b82945375c5472b31e39250d660efffd425e0a2da5aecf0133ad3d414c31214d073d00f519bc83960b5bbfd53df3b1c49 WHIRLPOOL f7105f1ea59366159a9b350d862e356eeb373685287a25827a72360ce917a6a23b4473286b82a081afea8b9dd60ec5b7ea37450084a54f615c00186753c70cbf
diff --git a/media-gfx/farbfeld/farbfeld-3.ebuild b/media-gfx/farbfeld/farbfeld-3.ebuild
new file mode 100644
index 00000000000..6ff7acb7cee
--- /dev/null
+++ b/media-gfx/farbfeld/farbfeld-3.ebuild
@@ -0,0 +1,48 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+inherit toolchain-funcs
+
+DESCRIPTION="farbfeld simple image format tools"
+HOMEPAGE="http://tools.suckless.org/farbfeld/"
+SRC_URI="http://dl.suckless.org/${PN}/${P}.tar.gz"
+
+LICENSE="ISC"
+SLOT="0"
+KEYWORDS="~amd64"
+
+RDEPEND="
+ media-libs/libjpeg-turbo
+ media-libs/libpng:*
+"
+DEPEND="
+ ${RDEPEND}
+"
+PATCHES=(
+ "${FILESDIR}"/${PN}-3-as-needed.patch
+)
+
+src_prepare() {
+ default
+
+ sed -i \
+ -e '/^CC/d' \
+ -e 's|/usr/local|/usr|g' \
+ -e 's|^CFLAGS.*|CFLAGS += -std=c99 -pedantic -Wall -Wextra $(INCS) $(CPPFLAGS)|g' \
+ -e 's|^LDFLAGS.*|LDFLAGS += $(LIBS)|g' \
+ -e 's|{|(|g;s|}|)|g' \
+ config.mk || die
+
+ sed -i \
+ -e '/[a-z]-LDFLAGS/s| = | += |g' \
+ Makefile || die
+}
+
+src_compile() {
+ emake CC=$(tc-getCC)
+}
+
+src_install() {
+ emake DESTDIR="${D}" install MANPREFIX=/usr/share/man
+}
diff --git a/media-gfx/farbfeld/farbfeld-9999.ebuild b/media-gfx/farbfeld/farbfeld-9999.ebuild
index a0cf3c93adb..1d283868c3a 100644
--- a/media-gfx/farbfeld/farbfeld-9999.ebuild
+++ b/media-gfx/farbfeld/farbfeld-9999.ebuild
@@ -1,7 +1,7 @@
-# Copyright 1999-2015 Gentoo Foundation
+# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-EAPI=5
+EAPI=6
inherit git-r3 toolchain-funcs
DESCRIPTION="farbfeld simple image format tools"
@@ -15,25 +15,28 @@ KEYWORDS=""
RDEPEND="
media-libs/libjpeg-turbo
media-libs/libpng:*
- media-libs/lcms:2
"
DEPEND="
${RDEPEND}
"
+PATCHES=(
+ "${FILESDIR}"/${PN}-3-as-needed.patch
+)
src_prepare() {
- sed config.mk \
+ default
+
+ sed -i \
-e '/^CC/d' \
-e 's|/usr/local|/usr|g' \
-e 's|^CFLAGS.*|CFLAGS += -std=c99 -pedantic -Wall -Wextra $(INCS) $(CPPFLAGS)|g' \
-e 's|^LDFLAGS.*|LDFLAGS += $(LIBS)|g' \
-e 's|{|(|g;s|}|)|g' \
- -i || die
+ config.mk || die
- sed Makefile \
- -e 's|{|(|g;s|}|)|g' \
- -e 's|^ @| |g' \
- -i || die
+ sed -i \
+ -e '/[a-z]-LDFLAGS/s| = | += |g' \
+ Makefile || die
}
src_compile() {
diff --git a/media-gfx/farbfeld/files/farbfeld-3-as-needed.patch b/media-gfx/farbfeld/files/farbfeld-3-as-needed.patch
new file mode 100644
index 00000000000..61502e55543
--- /dev/null
+++ b/media-gfx/farbfeld/files/farbfeld-3-as-needed.patch
@@ -0,0 +1,11 @@
+--- a/Makefile
++++ b/Makefile
+@@ -23,7 +23,7 @@
+ $(BIN:=.o): config.mk $(HDR) $(REQ:=.h)
+
+ .o:
+- $(CC) $(LDFLAGS) $($*-LDFLAGS) -o $@ $< $(REQ:=.o)
++ $(CC) $(LDFLAGS) -o $@ $< $(REQ:=.o) $($*-LDFLAGS)
+
+ clean:
+ rm -f $(BIN) $(BIN:=.o) $(REQ:=.o)